Subject: Re: Getting simple STL program to compile
From: " Clark Sims " <[email-masked]>
To: [email-masked], "[email-masked]" <[email-masked]>
Date: Wed, 22 Sep 1999 17:30:21 -0700

--

On Fri, 17 Sep 1999 20:31:16   Earnie Boyd wrote:
>---  Clark Sims  <[email-masked]> wrote:
>>  OS) NT4 SP5
>> Cygwin ver) 20.1
>> GCC ver) 2.91.57
>> Watcom ver) 11.0b
>> STL) SGI port, 3.12.3
>> 
>> I wrote the attached program which uses, strings, vectors and the "Unix" 
>> function, getch. It compiled and ran correctly using the Watcom comiler, so
>> I am pretty sure that everything in the program is correct. I also copied
>> most
>> of the syntax from Stroustrup's "The C++ Programming Language", 3rd edition,
>> chapters 20 & 21, so most (all?) of the functions and syntax for the STL 
>> should be correct.
>> 
>> I can't get the program to compile with Cygnus-GCC or Cygnus-G++. I have
.
>> 
>> Could someone show me how to get this program to compile?
>> 
>

Sorry for the long delay. I have been out of the office for some time.

>I tried this even with a month old snapshot and using cygwin I couldn't get a
>build.

This is rather unsettling. Don't the programmers at Cygnus test for STL functionality?
This is such a big part of where C++ programming is heading.

>
>However,  I've a crossbread mix of cygwin and mingw32-gcc-2.95 that I used to

Where can I download mingw32-gcc-2.95?

>build it with no problems.  I copied cygwin to another directory tree, removed
>the compiler and bin-utilities, removed the lib and include directories, then
>added the mingw32 versions of what I removed.  I prefer this structure when

Isn't this basicly the whole compiler. Wouldn't it have been easier to just change the path? Why download cygwin at all?

>building native programs.  I also have a boot.bat file that does an effective
>change root by doing a sh -c 'cd bin && ./umount / && ./mount d:\\root\mingw32
>/' before starting bash.  I also create and copy a more normalized directory
>tree which allows cygwin to be more friendly to non-cygwin programs.
>

What is the point of this?
Is it so /include appears where so many other Unix program expect it to appear?
I guess you could acheive the samething by
ln -s //d/root/mingw32/h /h

>I've never had the problems people have with using -mno-cygwin.

Glad to hear it. I am glad that you got this program to compile :-)

Thanks again,

Clark

--== Sent via Deja.com http://www.deja.com/ ==--
Share what you know. Learn what you don't.

--
Want to unsubscribe from this list?
Send a message to [email-masked]